Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class GenericTypeMapping

    java.lang.Object
      |
      +--weblogic.xml.schema.binding.internal.TypeMappingBase
            |
            +--weblogic.webservice.encoding.GenericTypeMapping

public class GenericTypeMapping
extends weblogic.xml.schema.binding.internal.TypeMappingBase

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`GenericTypeMapping()`

Method Summary
`weblogic.xml.schema.binding.TypeMappingEntry` | `get(java.lang.Class javaType, weblogic.xml.schema.binding.ClassContext context)`
`weblogic.xml.schema.binding.TypeMappingEntry` | `get(XMLName xmlType, weblogic.xml.schema.binding.SchemaContext context)`
`java.lang.Class` | `getClassFromXMLName(XMLName xmlName)`
`javax.xml.rpc.encoding.DeserializerFactory` | `getDeserializer(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`
`javax.xml.rpc.encoding.SerializerFactory` | `getSerializer(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`
`boolean` | `isRegistered(java.lang.Class javaType, javax.xml.namespace.QName xmlType)`

Methods inherited from class weblogic.xml.schema.binding.internal.TypeMappingBase
`add, add, add, createXMLNameFromXMLType, dump, dump, dump2, getClassFromXMLType, getEntries, getHolderClass, getParent, getSupportedEncodings, getSupportedNamespaces, getXMLNameFromClass, lookupEntry, readXML, readXML, register, remove, removeDeserializer, removeSerializer, replace, setParent, setSupportedEncodings, setSupportedNamespaces, toString, writeXML, writeXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericTypeMapping

    public GenericTypeMapping()
                       throws weblogic.xml.schema.binding.BindingException

Method Detail

### isRegistered

    public boolean isRegistered(java.lang.Class javaType,
                                javax.xml.namespace.QName xmlType)

  Overrides:
    isRegistered in class weblogic.xml.schema.binding.internal.TypeMappingBase

### getSerializer

    public javax.xml.rpc.encoding.SerializerFactory getSerializer(java.lang.Class javaType,
                                                                  javax.xml.namespace.QName xmlType)

  Overrides:
    getSerializer in class weblogic.xml.schema.binding.internal.TypeMappingBase

### get

    public weblogic.xml.schema.binding.TypeMappingEntry get(XMLName xmlType,
                                                            weblogic.xml.schema.binding.SchemaContext context)

  Overrides:
    get in class weblogic.xml.schema.binding.internal.TypeMappingBase

### getClassFromXMLName

    public java.lang.Class getClassFromXMLName(XMLName xmlName)

  Overrides:
    getClassFromXMLName in class weblogic.xml.schema.binding.internal.TypeMappingBase

### get

    public weblogic.xml.schema.binding.TypeMappingEntry get(java.lang.Class javaType,
                                                            weblogic.xml.schema.binding.ClassContext context)

  Overrides:
    get in class weblogic.xml.schema.binding.internal.TypeMappingBase

### getDeserializer

    public javax.xml.rpc.encoding.DeserializerFactory getDeserializer(java.lang.Class javaType,
                                                                      javax.xml.namespace.QName xmlType)

  Overrides:
    getDeserializer in class weblogic.xml.schema.binding.internal.TypeMappingBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference